1. We have added a Gift Upgrades feature that allows you to gift an account upgrade to another member, just in time for the holiday season. You can see the gift option when going to the Account Upgrades screen, or on any user profile screen.
    Dismiss Notice

Community Patch - How To Install

Discussion in 'Community Patch Project' started by Gazebo, Jun 13, 2014.

  1. Txurce

    Txurce Deity

    Joined:
    Jan 4, 2002
    Messages:
    8,259
    Location:
    Venice, California
    I've never tried this, but if you use the Advanced menu as if you're going to play hotseat, and then leave all of the civs set to "AI" instead of the first one to "human," it might work. (I'm not looking at the screen now, so I can't see if something prevents this.)

    notque streams AI vs AI games, so I'm sure he'll comment soon enough.
     
  2. Gazebo

    Gazebo Lord of the Community Patch Supporter

    Joined:
    Sep 26, 2010
    Messages:
    17,783
    Gender:
    Male
    Location:
    Little Rock
    If that's perverse, then I am the king!

    Easiest way IMO is to grab the SDK off steam, enable the firetuner in your config.ini, setup a normal game, and then open the firetuner. Go to the game tab, and then click autorun. Simple.

    G
     
  3. Civiubie

    Civiubie Chieftain

    Joined:
    Nov 23, 2005
    Messages:
    1
    Hi there,

    I've 2 Questions.

    First - Im playin with german Version of civ5. Seems not all tootips were updated. (socials for example) Any way to fix it without switching to english?

    Second - i used the exe installer with full Installation. The requirement says i need "All Leader DLC" and "Ancient Wonders DLC" which i dont have. I started a game with 6 mods the installer gave to me.
    Are there any missing components or disadvantages i have to know if i play without these 2 requirements?


    edit: okay i found the answer of first question, are there any Information about the Progress of the german translation?
     
  4. pandasnail

    pandasnail Prince

    Joined:
    Nov 18, 2015
    Messages:
    535
    I believe the answer is that you can't really. It might look like its working for awhile, but even then there aren't certain functionalities that won't trigger. Even with the Wonders. Sorry.
     
  5. Estebanium

    Estebanium Prince

    Joined:
    Oct 16, 2014
    Messages:
    483
    Gender:
    Male
    Location:
    Germany
    Glad you found the Language Pack. You are able to play the game in German with Vox Populi, if you use the Language Pack. This will mean, that you will have all social policies, technologies, yields, etc. However, there is still a lot of text that has to be translated to German, so you will have those texts in English, but they are at least correct if you use the Language Pack.

    As you might have seen, the progress represented in percentages is very low. Only the City States Diplomacy Mod has already been translated. It is a lot of work, because it is not just translating the obvious text that most players see, there is a lot of stuff in the Civilopedia. History of buildings, of historic events and a lot of information, using the BuildingText.xml as an example, Vox Populi comes with a lot of text.

    There is one thing to say. In order to use the Language Pack, you will currently need Vox Populi 7/7. It is a lot of work to update the Framework and the Language Pack, each time a new version has been released. I worked at my texture pack in the past, so I haven't found any time to update it to 7/15. I guess that Gazebo has a new version in the pipeline, so I will skip version 15 and wait for the next release. I hope, that I will find some time to translate a bit more in the meantime.

    Feel free to uninstall version 7/15, using the uninstaller. Double check your Mods folder if everything has been removed properly and install version 7/7. You can then download the Language Pack. Read the instructions of the post and enjoy the game.

    Please note, that all issues or bugs that could possibly occur could be fixed in 7/15, if you want to report any issue.

    If I see it correctly, all DLC's that are needed for you will cost you less than 5€ and that should be a good investment in my opinion.
     
  6. Tempestfury

    Tempestfury Chieftain

    Joined:
    Jul 22, 2016
    Messages:
    58
    Quick question, but is there any way to access earlier versions of this mod? If I'm looking at the Modpack correctly, in order to play multiplayer with this, I need the mod-pack and an earlier version of the mod... but where can I get the earlier version of the mod?
     
  7. gendalf

    gendalf Chieftain

    Joined:
    Jul 21, 2015
    Messages:
    58
    the "move to" order doesn't work (asks to declare war) if you click on another civ civil unit, it's really annoying.
     
  8. Txurce

    Txurce Deity

    Joined:
    Jan 4, 2002
    Messages:
    8,259
    Location:
    Venice, California
    There's a link at the beginning of this thread.
     
  9. Tempestfury

    Tempestfury Chieftain

    Joined:
    Jul 22, 2016
    Messages:
    58
    ... Hmmmm... ah! The March Version is 3-9. Thank you!
     
  10. drush

    drush Chieftain

    Joined:
    Jul 22, 2016
    Messages:
    3
    cant close the monoply/corporation window that opens when I start a game :( how do I fix this?
     
  11. Txurce

    Txurce Deity

    Joined:
    Jan 4, 2002
    Messages:
    8,259
    Location:
    Venice, California
    You probably either didn't install correctly, or have a conflicting mod activated.
     
  12. schnerbst

    schnerbst Chieftain

    Joined:
    Jul 23, 2016
    Messages:
    4
    Sorry for slight off-topic, but where can I see what has changed between 7-1 version and 7-15 version of Vox Populi?
     
  13. vyyt

    vyyt Emperor

    Joined:
    Jan 28, 2005
    Messages:
    1,815
    Location:
    Czech Republic
  14. Rampage Ry

    Rampage Ry Chieftain

    Joined:
    Jul 22, 2016
    Messages:
    7
    Location:
    UK
    Hi all,

    The link to the beta version on mega is not working for me, the alternate location seems fine but just wondering which files are the beta version files i need to use?

    Thanks
     
  15. volnay

    volnay Chieftain

    Joined:
    Jul 26, 2016
    Messages:
    1
    Hi!

    I've been using CPP for several months and today I DL'ed the latest version (The complete installer). After installation I got the error which can be seen in the screeenshot below.

    Spoiler :


    I've removed EUI from the DLC folder, reinstalled a couple of times but I can't figure out what depency is missing?

    Thanks,
    Volnay
     
  16. Rampage Ry

    Rampage Ry Chieftain

    Joined:
    Jul 22, 2016
    Messages:
    7
    Location:
    UK
    Hi Volnay,

    New here myself but you could always try a manual installation.

    Uninstall civ5 and delete all mods and cache then start again with a manual installation :)

    Up to you if you wana wait for another response as im new to mod myself haha
     
  17. MIC132

    MIC132 Chieftain

    Joined:
    Feb 9, 2014
    Messages:
    28
    Are the "Standard EUI with only CP" instructions up to date?

    I just installed only CP with the installer, deleted the mentioned luas, but still when using CP as my only mod (plus EUI) the EUI-style civ list on the right doesn't appear at all, and the top right buttons are not there. Any ideas what's causing this?
     
  18. vyyt

    vyyt Emperor

    Joined:
    Jan 28, 2005
    Messages:
    1,815
    Location:
    Czech Republic
    This is typically happening when you have an older version of a CPP component in the MODs folder under different/older name - the automatic installer won't locate it under the old name and won't delete it properly which will cause conflicts. Look at the mod descriptions in your screenshot - some components are from 6-14, some from 7-15, but some are as old as 3-8 (= March 8th).

    1) Go to your MODs folder and delete everything related to CPP (I suspect you will find some parts doubled under different folder names, so if you have other mods installed, skim through all folders).

    2) Then make sure you are not subscribed to any non-CPP version of components on Steam = More Luxuries and Civ 4 Diplomacy.

    3) Run the autoinstaller again.

    Good luck!
     
  19. TheRealRaz

    TheRealRaz Chieftain

    Joined:
    Mar 3, 2015
    Messages:
    2
    I am also having huge issues with the latest version of the mod. I am experiencing what others have, the monopoly/corporation menu comes up as soon as I click "begin your journey" and it will not close. I can move my screen and even use shortcuts to found my first city and "play". I have NO mods enabled except those labeled 1 through 6, all associated with the CPB mod and the "Really Advanced Setup" mod. I previously had JFD's civs installed but removed those to see if that fixed the issue. It has not. I have reinstalled the game on three separate drives (One SSD and two HDDs) and that has still not fixed the issue. I have tried everything recommended and even work in IT for a living and still can't figure this out. Very frustrating as I've had this issue for some time now and can't play civ :( anyone got any ideas?? I use the automatic installer and run it as an admin.
     
  20. Gazebo

    Gazebo Lord of the Community Patch Supporter

    Joined:
    Sep 26, 2010
    Messages:
    17,783
    Gender:
    Male
    Location:
    Little Rock
    EUI installs into your Civ DLC folder (in your steam folder). Make sure after removing mods that you cleared your cache, and also make sure that you are on the latest version of civ.

    G
     

Share This Page